## org.apache.mahout.text
Class SequenceFilesFromDirectoryFilter

    java.lang.Object
      org.apache.mahout.text.SequenceFilesFromDirectoryFilter

All Implemented Interfaces:
  org.apache.hadoop.fs.PathFilter

Direct Known Subclasses:
  PrefixAdditionFilter

    public abstract class SequenceFilesFromDirectoryFilter

extends Object
implements org.apache.hadoop.fs.PathFilter

Implement this interface if you wish to extend SequenceFilesFromDirectory with your own parsing logic.

Constructor Summary
`protected` `SequenceFilesFromDirectoryFilter(org.apache.hadoop.conf.Configuration conf, String keyPrefix, Map<String,String> options, ChunkedWriter writer, Charset charset, org.apache.hadoop.fs.FileSystem fs)`

Method Summary
`boolean` `accept(org.apache.hadoop.fs.Path current)`
`protected Charset` `getCharset()`
`protected org.apache.hadoop.conf.Configuration` `getConf()`
`protected org.apache.hadoop.fs.FileSystem` `getFs()`
`protected Map<String,String>` `getOptions()`
`protected String` `getPrefix()`
`protected ChunkedWriter` `getWriter()`
`protected abstract void` `process(org.apache.hadoop.fs.FileStatus in, org.apache.hadoop.fs.Path current)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFilesFromDirectoryFilter

    protected SequenceFilesFromDirectoryFilter(org.apache.hadoop.conf.Configuration conf,
                                               String keyPrefix,
                                               Map<String,String> options,
                                               ChunkedWriter writer,
                                               Charset charset,
                                               org.apache.hadoop.fs.FileSystem fs)

Method Detail

### getPrefix

    protected final String getPrefix()

### getWriter

    protected final ChunkedWriter getWriter()

### getCharset

    protected final Charset getCharset()

### getFs

    protected final org.apache.hadoop.fs.FileSystem getFs()

### getOptions

    protected final Map<String,String> getOptions()

### getConf

    protected final org.apache.hadoop.conf.Configuration getConf()

### accept

    public final boolean accept(org.apache.hadoop.fs.Path current)

  Specified by:
    `accept` in interface `org.apache.hadoop.fs.PathFilter`

### process

    protected abstract void process(org.apache.hadoop.fs.FileStatus in,
                                    org.apache.hadoop.fs.Path current)
                             throws IOException

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.